Skip to main content
GET
/
api
/
v1
/
transactions
/
breakdown
Transaction volume breakdown
curl --request GET \
  --url https://api.hevn.finance/api/v1/transactions/breakdown \
  --header 'Authorization: Bearer <token>'
{
  "items": [
    {
      "key": "<string>",
      "volumeUsd": 123,
      "count": 123
    }
  ]
}

Authorizations

Authorization
string
header
default:Bearer <token>
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

x-api-key
string | null

Query Parameters

groupBy
enum<string>
required

Group by tag or type

Available options:
tag,
type
type
string | null

Comma-separated transaction types

incomeOnly
boolean | null
tag
string | null

Comma-separated tags

status
string | null

Comma-separated unified statuses

contactId
string | null

Comma-separated contact UUIDs

bank_account_id
string | null

Comma-separated bank account UUIDs

bankAccountId
string | null

Comma-separated bank account UUIDs

cardId
string | null

Comma-separated Card UUIDs

fromDate
string<date-time> | null
toDate
string<date-time> | null
q
string | null

Free-text search across description, merchant, tag, hash/wallet, contact name, counterparty user, invoice contractor, IBAN, and exact amount. Min 2 chars; values shorter are ignored.

Response

Successful Response

Volume + count grouped by tag or type, with the same filters as the list.

groupBy
enum<string>
required

Field to group breakdown analytics by.

Available options:
tag,
type
items
TransactionBreakdownItem · object[]
required